-------------------------------------------------------------------------------
--! @file       msb.vhd
--! @author     Farnoud Farahmand
--! @brief      msb unit for CLOC 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

use IEEE.NUMERIC_STD.ALL;

entity msb is
generic (n : integer := 128;
         x : integer := 128
         ); 
    Port ( msb_in : in  STD_LOGIC_vector (n-1 downto 0);
           msb_op : out  STD_LOGIC_vector (x-1 downto 0)
			  );
end msb;

architecture dataflow of msb is

begin

msb_op <= msb_in(127 downto 128-x);

end dataflow;

