-------------------------------------------------------------------------------
--! @file       fix0.vhd
--! @author     Farnoud Farahmand
--! @brief      fix0 unit for CLOC 
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity fix0 is
generic (N : integer := 128);
    Port ( 

	 fix0_i : in  STD_LOGIC_vector (N-1 downto 0);    
	 fix0_o : out  STD_LOGIC_vector (N-1 downto 0)
	 
	 );
end fix0;

architecture dataflow of fix0 is

signal fix0_int : std_logic_vector (127 downto 0);

begin
fix0_int <=  (127 => '0' ,others => '1');
fix0_o <= fix0_i and fix0_int;

end dataflow;

